## libpcxportal-perl 0.4.00-40

=== debian/changelog ===
libpcxportal-perl (0.4.00-40) unstable; urgency=low

  * Error handling improved error display in index.cgi.

 -- James A. Pattie <james@pcxperience.com>  Wed, 07 Sep 2005 20:21:00 -0500

libpcxportal-perl (0.4.00-39) unstable; urgency=low

  * Error handling fixed in validateForm() and improved error display.

 -- James A. Pattie <james@pcxperience.com>  Sat, 20 Aug 2005 17:20:00 -0500

libpcxportal-perl (0.4.00-38) unstable; urgency=low

  * Added langSubstitute() to Portal::Base to do the #LANG=x# work.

 -- James A. Pattie <james@pcxperience.com>  Tue, 12 Jul 2005 17:00:00 -0500

libpcxportal-perl (0.4.00-37) unstable; urgency=low

  * Adding the #LANG=x# support to Portal::Objects::Base->printForm().

 -- James A. Pattie <james@pcxperience.com>  Fri, 24 Jun 2005 11:46:00 -0500

libpcxportal-perl (0.4.00-36) unstable; urgency=low

  * POD documentation updates for JT.

 -- James A. Pattie <james@pcxperience.com>  Tue, 21 Jun 2005 15:56:00 -0500

libpcxportal-perl (0.4.00-35) unstable; urgency=low

  * Session read/write support.

 -- James A. Pattie <james@pcxperience.com>  Tue, 03 May 2005 16:37:00 -0500

libpcxportal-perl (0.4.00-34) unstable; urgency=low

  * Updating to latest HTMLObject::Form validate() changes.

 -- James A. Pattie <james@pcxperience.com>  Fri, 08 Apr 2005 18:34:00 -0500

libpcxportal-perl (0.4.00-33) unstable; urgency=low

  * Portal::App code refactoring.
  * tz conversion in calculateDateCalc() was massively broken. :(

 -- James A. Pattie <james@pcxperience.com>  Fri, 25 Mar 2005 18:22:00 -0600

libpcxportal-perl (0.4.00-32) unstable; urgency=low

  * prepDoc() cleanups.  Config changes for prepDocTemplate.
  * dynamicContent_Config_Default -> dynamicContentConfig_Default.

 -- James A. Pattie <james@pcxperience.com>  Tue, 22 Mar 2005 14:26:00 -0600

libpcxportal-perl (0.4.00-31) unstable; urgency=low

  * populate() now updates the formObj invalid/missing as needed.

 -- James A. Pattie <james@pcxperience.com>  Sat, 12 Mar 2005 17:48:00 -0600

libpcxportal-perl (0.4.00-30) unstable; urgency=low

  * Updating the DBSettings xml to not require the value attributes when
    group = delete, we only need to know the names so we can delete.

 -- James A. Pattie <james@pcxperience.com>  Tue, 08 Mar 2005 17:41:00 -0600

libpcxportal-perl (0.4.00-29) unstable; urgency=low

  * Added the getExtraInfoEntry() method and started to update the code to use
    it when populating invalid/missing from the formObj.

 -- James A. Pattie <james@pcxperience.com>  Tue, 08 Mar 2005 14:27:00 -0600

libpcxportal-perl (0.4.00-28) unstable; urgency=low

  * Fixing the App purchase App Config lookup issue.

 -- James A. Pattie <james@pcxperience.com>  Tue, 08 Mar 2005 12:29:00 -0600

libpcxportal-perl (0.4.00-27) unstable; urgency=low

  * Updating to cover the new HTMLObject::Widgets module.

 -- James A. Pattie <james@pcxperience.com>  Tue, 08 Mar 2005 12:00:00 -0600

libpcxportal-perl (0.4.00-26) unstable; urgency=low

  * XML object and parser for the dbSettings xml should be complete.

 -- James A. Pattie <james@pcxperience.com>  Tue, 01 Mar 2005 21:44:00 -0600

libpcxportal-perl (0.4.00-25) unstable; urgency=low

  * Started implementing the XML object and parser for the dbSettings xml
    config file.

 -- James A. Pattie <james@pcxperience.com>  Tue, 01 Mar 2005 16:50:00 -0600

libpcxportal-perl (0.4.00-24) unstable; urgency=low

  * The desktop can now be configured to only show app groups that have
    entries, though the preference code hasn't been updated yet to manage the
    new user preference.
  * Started work on the Preferences modules (Forms and Objects) that will
    allow for a generic User Preference editing interface.

 -- James A. Pattie <james@pcxperience.com>  Fri, 25 Feb 2005 12:41:00 -0600

libpcxportal-perl (0.4.00-23) unstable; urgency=low

  * The prepDoc() method now uses the commands hash to figure out the title
    to display, if you didn't specify one.
  * Fixed the bug in the purgeEntries() Log code that did not commit the
    database deletes.

 -- James A. Pattie <james@pcxperience.com>  Tue, 15 Feb 2005 12:19:00 -0600

libpcxportal-perl (0.4.00-22) unstable; urgency=low

  * Added the urls hash to the AppState and passing into the Menuing objects.

 -- James A. Pattie <james@pcxperience.com>  Tue, 15 Feb 2005 11:14:00 -0600

libpcxportal-perl (0.4.00-21) unstable; urgency=low

  * Updating the prepDoc() code.

 -- James A. Pattie <james@pcxperience.com>  Fri, 11 Feb 2005 16:20:00 -0600

libpcxportal-perl (0.4.00-20) unstable; urgency=low

  * Adding the menu code and moving it into AppState.

 -- James A. Pattie <james@pcxperience.com>  Fri, 11 Feb 2005 14:42:00 -0600

libpcxportal-perl (0.4.00-19) unstable; urgency=low

  * Adding the add()/sub()/mul()/div()/mod()/append() helper methods.

 -- James A. Pattie <james@pcxperience.com>  Tue, 08 Feb 2005 15:25:00 -0600

libpcxportal-perl (0.4.00-18) unstable; urgency=low

  * Adding the get()/set() aliases to var().

 -- James A. Pattie <james@pcxperience.com>  Sat, 05 Feb 2005 13:17:00 -0600

libpcxportal-perl (0.4.00-17) unstable; urgency=low

  * Really fix the populate() method -DataType check for non-main forms.

 -- James A. Pattie <james@pcxperience.com>  Fri, 04 Feb 2005 20:15:00 -0600

libpcxportal-perl (0.4.00-16) unstable; urgency=low

  * Fixing the populate() method -DataType check for non-main forms.

 -- James A. Pattie <james@pcxperience.com>  Fri, 04 Feb 2005 20:06:00 -0600

libpcxportal-perl (0.4.00-15) unstable; urgency=low

  * Added var() method and started to use it.

 -- James A. Pattie <james@pcxperience.com>  Fri, 04 Feb 2005 19:53:00 -0600

libpcxportal-perl (0.4.00-14) unstable; urgency=low

  * Changing -type -> -DataType, form{Action,Method} -> action,method

 -- James A. Pattie <james@pcxperience.com>  Tue, 01 Feb 2005 23:05:00 -0600

libpcxportal-perl (0.4.00-13) unstable; urgency=low

  * Fleshed out prepDoc() and added c_close() to AppState.


