## libpcxportal-perl 0.4.00-42

=== debian/changelog ===
libpcxportal-perl (0.4.00-42) unstable; urgency=low

  * Languify the body and javascript in the printForm() rather than just the
    input template.  Closes SF RFE#1300970.

 -- James A. Pattie <james@pcxperience.com>  Fri, 23 Sep 2005 21:49:00 -0700

libpcxportal-perl (0.4.00-41) unstable; urgency=low

  * Adding lookupSelectName() to the Portal::Objects::Base module.

 -- James A. Pattie <james@pcxperience.com>  Fri, 23 Sep 2005 17:55:00 -0700
