=== debian/control ===
Source: libpcxportal-perl
Section: perl
Priority: optional
Build-Depends-Indep: debhelper (>> 4.0.0), perl (>= 5.8.4)
Maintainer: James A. Pattie <james@pcxperience.com>
Standards-Version: 3.6.1

Package: libpcxportal-perl
Architecture: all
Depends: perl (>= 5.8.4), libhtmlobject-perl (>= 2.27-21), libdbiwrapper-perl (>= 0.21), libcrypt-cbc-perl (>= 2.02), libcrypt-idea-perl (>= 1.01), libapache-session-perl (>= 1.60-2pcx3), libxml2 (>= 2.4.22), libxml-sax-perl (>= 0.10), libxml-namespacesupport-perl (>= 1.07), libxml-libxml-perl (>= 1.51), libdate-manip-perl (>= 5.40)
Suggests: pcxportal (>= 0.4.00-16)
Description:  Provides the perl libraries needed by the PCX Portal
 The Portal is the framework for all applications that Xperience, Inc.
 is currently creating or will create that are Web based.
